Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface LibraryProperties

    public interface LibraryProperties

Contains Properties associated with a Library. Stored in key value pairs of String and Collection. That is for each property name there is a Collection of String values.

Since:
  7.0

Method Summary
`boolean` | `contains(java.lang.String name)` Does the item have a property value for the given property name
`java.util.Collection<java.lang.String>` | `get(java.lang.String name)` Retrieve the property value for the given property name.
`java.util.Set<java.lang.String>` | `getNames()` Set of all property names
`void` | `remove(java.lang.String name)` Removes the property with given name if it exists.
`void` | `set(java.lang.String name, java.util.Collection<java.lang.String> values)` Adds a key/value pair to the Library Properties.

Method Detail

### set

    void set(java.lang.String name,
             java.util.Collection<java.lang.String> values)

  Adds a key/value pair to the Library Properties.
  Since this is a key value Pair , the value should not be null or an empty collection. If the property with the same name exists then the value is overwritten.

  Parameters:
    `name` - the key of the property, should not be `null`
    `values` - multi-value for the property, values should not be `null` or return `true` for `Collection.isEmpty()`

### get

    java.util.Collection<java.lang.String> get(java.lang.String name)

  Retrieve the property value for the given property name.

  Parameters:
    `name` - the key of the property, should not be `null`
  Returns:
    Collection the Collection of values for the given property name, returns`Collections#emptyList()` if the property does not exist or is `null`

### contains

    boolean contains(java.lang.String name)

  Does the item have a property value for the given property name

  Parameters:
    `name` - the key of the property, should not be `null`
  Returns:
    `true` if the property exists, `false` if it does not exist.

### remove

    void remove(java.lang.String name)

  Removes the property with given name if it exists. if it does not exist then it does nothing

  Parameters:
    `name` - the Key to the property, should not be `null`

### getNames

    java.util.Set<java.lang.String> getNames()

  Set of all property names

  Returns:
    Set of property names

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD